CMSIS-Driver: SAI Master Clock Prescaler

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Master Clock Prescaler
SAI Configuration

Defines MCLK prescaler. More...

## Macros

#define | ARM_SAI_MCLK_PRESCALER(n) ((((n)-1UL)&0xFFFUL) << ARM_SAI_MCLK_PRESCALER_Pos)
| MCLK prescaler; Audio_frequency = MCLK/n; n = 1..4096 (default=1) More...

## Description

Defines MCLK prescaler.

## Macro Definition Documentation

#define ARM_SAI_MCLK_PRESCALER | ( |  | n | ) | ((((n)-1UL)&0xFFFUL) << ARM_SAI_MCLK_PRESCALER_Pos)

MCLK prescaler; Audio_frequency = MCLK/n; n = 1..4096 (default=1)